
Ruby - Bug #12615

Pathname#rename does not work across filesystem boundaries.

07/23/2016 01:30 AM - singpolyma (Stephen Paul Weber)

Status: Closed   

Priority: Normal   

Assignee: akr (Akira Tanaka)   

Target version:    

ruby -v:  Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

So I must continue to use FileUtils.mv -- either Pathname#rename should be fixed or (if the current behaviour is desired) and

Pathname#mv added.

History

#1 - 06/24/2019 11:25 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Open to Assigned

- Assignee set to akr (Akira Tanaka)

I do not think this is a bug. Pathname#rename operates exactly like File.rename, which like rename(2), require that the source and destination be on

the same file system.

FileUtils.mv tries to use File.rename, and if it fails due to Errno::EXDEV, then it copies the file manually.  If you would like Pathname#mv added,

please submit a feature request for that.

#2 - 08/24/2019 02:35 AM - jeremyevans0 (Jeremy Evans)

- Status changed from Assigned to Closed
